package cn.com.poc.agent_application.entity;	


public class BizAgentApplicationApiFilesEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** agent_id
    *应用id
    */ 
    private java.lang.String agentId;

    public java.lang.String getAgentId(){
        return this.agentId;
    }
    
    public void setAgentId(java.lang.String agentId){
        this.agentId = agentId;
    }
	/** conversation_id
    *对话id
    */ 
    private java.lang.String conversationId;

    public java.lang.String getConversationId(){
        return this.conversationId;
    }
    
    public void setConversationId(java.lang.String conversationId){
        this.conversationId = conversationId;
    }
	/** file_id
    *文件id
    */ 
    private java.lang.String fileId;

    public java.lang.String getFileId(){
        return this.fileId;
    }
    
    public void setFileId(java.lang.String fileId){
        this.fileId = fileId;
    }
	/** file_url
    *文件地址
    */ 
    private java.lang.String fileUrl;

    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
    }
	/** expired_time
    *过期时间，有效期7天
    */ 
    private java.util.Date expiredTime;

    public java.util.Date getExpiredTime(){
        return this.expiredTime;
    }
    
    public void setExpiredTime(java.util.Date expiredTime){
        this.expiredTime = expiredTime;
    }
	/** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}